
Redmine - Feature #3237

Include into comment information about revision

2009-04-24 14:55 - Rafal W.

Status: Closed Start date: 2009-04-24

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

When somebody commit something and include link of the issue, it should appear in specified issue as well.

History

#1 - 2009-04-24 17:45 - Zarooba Rozruba

Isn't this already built in?

aka: Refs #issue

aka: closes #issue

Please explain what you mean.

#2 - 2009-04-24 18:17 - Rafal W.

On repository list: repositories/show/someproject I've got list of Latest revisions

If somebody make a commit with the message: 'task #214' it's linked to specified Task.

But if I'll go to this Task page, in History I see only comments, but I don't see included Revisions message (like it's on Activity).

If it's built in, how I can activate it?

Or it's a feature?

#3 - 2009-04-25 07:59 - kju kju

RedmineSettings#Referencing-issues-in-commit-messages

See also Mandatory check for Red Mine issue # during checkin in svn and

http://www.kernel.org/pub/software/scm/git/docs/v1.5.2.5/hooks.html

When git-init is run, a handful example hooks are copied in the hooks directory of the new repository, but by default they are all disabled.

#4 - 2009-04-25 13:43 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

If it's built in, how I can activate it?

 Enter '*' without quotes in 'Referencing keywords' setting (administration -> settings -> repositories).
